Page MenuHomePhabricator

Kartotherian: Investigate Docker Compose setup
Open, LowPublic

Description

Problem:
Setting up Kartotherian locally was tricky on my Ubuntu machine, Node versions and dependencies such as Mapnik etc made it a pain. On the other hand running the tests with
docker run -p 6533:6533 kartotherian worked out of the box.

Idea:
Would it be possible to setup an image for the host environment and one for the application/tests and only have the second one rebuilt whenever you have made changes to the code?
Also would it be possible to make this work with local instances of some of the many npm dependencies(what you would usually have npm link for)?

Impact:
It could lower the barrier for new contributors.

Event Timeline

Abbe98 created this task.Apr 27 2018, 11:55 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2018, 11:55 AM
Vvjjkkii renamed this task from Kartotherian: Investigate Docker Compose setup to r3daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
1339861mzb renamed this task from r3daaaaaaa to Kartotherian: Investigate Docker Compose setup .Jul 1 2018, 10:42 AM
1339861mzb updated the task description. (Show Details)
1339861mzb updated the task description. (Show Details)
Pnorman assigned this task to MSantos.Jul 10 2018, 4:15 PM
Pnorman triaged this task as Normal priority.
MSantos moved this task from Backlog to To-do on the Maps-Sprint board.
MSantos moved this task from To-do to In progress on the Maps-Sprint board.Jul 17 2018, 5:17 PM
MSantos lowered the priority of this task from Normal to Low.Sep 25 2018, 12:27 PM

I am moving this task and changing the priority for now to reflect reality. It has a prototype in progress that has some issues and is not ready to be released.